{

    //以太剑盾转阶段脚本，修改状态机及AI参数

    "AbilityName" : "Durahan_Transform_WriteParam",

    "AbilityStacking":"Unique",



    // 升阶以太剑盾直接进入二形态

    "DefaultModifier":

    {

        "OnAdded":

        [

            {

                "$type": "MoleMole.ApplyModifier",

                "ModifierName": "WriteParamModifier_02",

                "Target": "Self",

                "Predicates": 

                [

                    {

                        "$type": "MoleMole.ByTags",

                        "Target": "Self",

                        "TagList": ["Promote"]

                    },

                ]

            },

        ]

    },



    "OnAbilityStart":

    [

        {

            "$type":"MoleMole.ApplyModifier",

            "ModifierName":"WriteParamModifier_01",

            "Target":"Self",

            "Predicates" :

            [

                {

                    "$type": "MoleMole.ByAnimatorStateNormalizedTime",

                    "AnimatorStateName": "Transform_ToSword",

                    "LayerIndex": 0,

                    "NormalizedTimeLow" : 0.0,

                    "NormalizedTimeHigh" : 1.0,

                    "Target" : "Self",

                },

            ]

        },

        {

            "$type":"MoleMole.ApplyModifier",

            "ModifierName":"WriteParamModifier_02",

            "Target":"Self",

            "Predicates" :

            [

                {

                    "$type": "MoleMole.ByAnimatorStateNormalizedTime",

                    "AnimatorStateName": "Transform_ToSwordShield",

                    "LayerIndex": 0,

                    "NormalizedTimeLow" : 0.0,

                    "NormalizedTimeHigh" : 1.0,

                    "Target" : "Self",

                },

            ]

        },

        

    ],



    "Modifiers" : 

    {

        //转为剑形态

        "WriteParamModifier_01":

        {

            "ModifierStacking": "MultipleRefresh",

            "Duration": 1.0,

            "IgnoreTimeScale" : false,



            "OnAdded" :

            [

                //状态机参数（形态_01）

                {

                    "$type" : "MoleMole.SetAnimCtrlerParamAction",

                    "ParamType" : 2,

                    "ParamName" : "Bool_IsSwitchingBossType",

                    "Target" : "Self",

                    "BoolVal" : false,

                },

                {

                    "$type" : "MoleMole.SetAnimCtrlerParamAction",

                    "ParamType" : 3,

                    "ParamName" : "Int_BossType_Cur",

                    "Target" : "Self",

                    "IntVal" : 1,

                },

                //AI参数

                {

                    "$type" : "MoleMole.WriteAIParamAction",

                    "Target" : "Self",

                    "ParamName" : "Bool_IsSwitchingBossType",

                    "BoolParamValue" : false

                },

                {

                    "$type" : "MoleMole.WriteAIParamAction",

                    "Target" : "Self",

                    "ParamName" : "Int_BossType_Cur",

                    "IntParamValue" : 1

                },

                {

                    "$type" : "MoleMole.WriteAIParamAction",

                    "Target" : "Self",

                    "ParamName" : "Int_ActionMode",

                    "IntParamValue" : 1

                },

                //自定义属性

                {

                    "$type": "MoleMole.ModifyProperty",

                    "PropertyType": "Custom",

                    "CustomPropertyType": "BossType_Cur",

                    "PropertyModifyFunction": "Replace",

                    "Percentage": 0,

                    "Amount": 1,

                },

            ]

        },



        //转为剑盾形态（形态_02）

        "WriteParamModifier_02":

        {

            "ModifierStacking": "MultipleRefresh",

            "Duration": 1.0,

            "IgnoreTimeScale" : false,



            "OnAdded" :

            [

                //状态机参数

                {

                    "$type" : "MoleMole.SetAnimCtrlerParamAction",

                    "ParamType" : 2,

                    "ParamName" : "Bool_IsSwitchingBossType",

                    "Target" : "Self",

                    "BoolVal" : false,

                },

                {

                    "$type" : "MoleMole.SetAnimCtrlerParamAction",

                    "ParamType" : 3,

                    "ParamName" : "Int_BossType_Cur",

                    "Target" : "Self",

                    "IntVal" : 2,

                },

                //AI参数

                {

                    "$type" : "MoleMole.WriteAIParamAction",

                    "Target" : "Self",

                    "ParamName" : "Bool_IsSwitchingBossType",

                    "BoolParamValue" : false

                },

                {

                    "$type" : "MoleMole.WriteAIParamAction",

                    "Target" : "Self",

                    "ParamName" : "Int_BossType_Cur",

                    "IntParamValue" : 2

                },

                {

                    "$type" : "MoleMole.WriteAIParamAction",

                    "Target" : "Self",

                    "ParamName" : "Int_ActionMode",

                    "IntParamValue" : 1

                },

                //自定义属性

                {

                    "$type": "MoleMole.ModifyProperty",

                    "PropertyType": "Custom",

                    "CustomPropertyType": "BossType_Cur",

                    "PropertyModifyFunction": "Replace",

                    "Percentage": 0,

                    "Amount": 2,

                },

            ]

        }

    }

}